function CTRADebuffFix()
	CT_RA_ScanUnitDebuffs=CT_RA_ScanUnitDebuffsReplacement;
	CTRADebuffFixFrame:Hide();
end


function CT_RA_ScanUnitDebuffsReplacement(unit, name, id)
	local tempOptions = CT_RAMenu_Options["temp"];
	local oldAuras = { };
	local stats = CT_RA_Stats[name]["Debuffs"];
	for k, v in pairs(stats) do
		if ( k ~= "n" ) then
			oldAuras[k] = 1;
		end
	end
	stats.n = 0;
	local num, debuffName, _, debuff, applications, dType = 0, UnitDebuff(unit, 1);
	while ( debuff ) do
		if(dType=="Curse") then dType=CT_RA_CURSE end 
		if(dType=="Poison") then dType=CT_RA_POISON end 
		if(dType=="Disease") then dType=CT_RA_DISEASE end 
		if(dType=="Magic") then dType=CT_RA_MAGIC end
		stats.n = stats.n + 1;
		num = num + 1;
		oldAuras[debuffName] = nil;
		if ( not stats[debuffName] ) then
			if ( debuffName == CT_RA_WEAKENEDSOUL ) then
				dType = CT_RA_WEAKENEDSOUL;
			elseif ( debuffName == CT_RA_RECENTLYBANDAGED ) then
				dType = CT_RA_RECENTLYBANDAGED;
			end
			local debuffType;
			for k, v in pairs(tempOptions["DebuffColors"]) do
				if ( dType == v["type"] ) then
					debuffType = v;
					break;
				end
			end
			if ( debuffType ) then
				local uId = "raid" .. id;
				stats[debuffName] = { dType, 0, gsub(debuff, "^Interface\\Icons\\(.+)$", "%1") };
				if ( CastParty_AddDebuff ) then
					CastParty_AddDebuff(uId, dType);
				end
				if ( tempOptions["NotifyDebuffs"]["main"] and debuffName ~= CT_RA_RECENTLYBANDAGED and debuffName ~= CT_RA_MINDVISION and debuffType["id"] ~= -1 ) then
					local currPos = CT_RA_CurrPositions[name];
					if ( currPos ) then
						if ( tempOptions["NotifyDebuffs"][currPos[1]] and tempOptions["NotifyDebuffsClass"][CT_RA_ClassPositions[UnitClass(uId)]] ) then
							CT_RA_AddToQueue(dType, uId);
							CT_RA_AddDebuffMessage(debuffName, dType, name);
						end
					end
				end
			end
		end
		debuffName, _, debuff, applications, dType = UnitDebuff(unit, num+1);
	end
	for k, v in pairs(oldAuras) do
		stats[k] = nil;
	end
end
